Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.resource
Class Text

    java.lang.Object
      edu.stanford.smi.protege.resource.Text

    public final class Text

extends Object

Utility class for accessing assorted text strings.

Author:
  Ray Fergerson, Jennifer Vendetti

Field Summary
`static String` | `PROGRAM_NAME_PROPERTY`

Constructor Summary
`Text()`

Method Summary
`static URL` | `getAboutURL()`
`static String` | `getBuildInfo()`
`static String` | `getBuildNumber()`
`static String` | `getCopyright()`
`static String` | `getProgramName()`
`static String` | `getProgramNameAndVersion()`
`static String` | `getProgramTextName()`
`static String` | `getStatus()`
`static String` | `getTrademark()`
`static String` | `getVersion()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PROGRAM_NAME_PROPERTY

    public static final String PROGRAM_NAME_PROPERTY

See Also:
  Constant Field Values

Constructor Detail

### Text

    public Text()

Method Detail

### getBuildInfo

    public static String getBuildInfo()

### getProgramName

    public static String getProgramName()

### getProgramTextName

    public static String getProgramTextName()

### getProgramNameAndVersion

    public static String getProgramNameAndVersion()

### getBuildNumber

    public static String getBuildNumber()

### getStatus

    public static String getStatus()

### getVersion

    public static String getVersion()

### getTrademark

    public static String getTrademark()

### getCopyright

    public static String getCopyright()

### getAboutURL

    public static URL getAboutURL()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.